Bug 971109 - NoSuchGroup: None
NoSuchGroup: None
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
abrt_hash:77326512bd857df805667224db8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 13:46 EDT by A.J. Werkman
Modified: 2015-02-18 06:17 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:17:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (695.46 KB, text/plain)
2013-06-05 13:47 EDT, A.J. Werkman
no flags Details
File: anaconda.log (8.76 KB, text/plain)
2013-06-05 13:47 EDT, A.J. Werkman
no flags Details
File: backtrace (576 bytes, text/plain)
2013-06-05 13:47 EDT, A.J. Werkman
no flags Details
File: environ (460 bytes, text/plain)
2013-06-05 13:47 EDT, A.J. Werkman
no flags Details
File: ifcfg.log (1.04 KB, text/plain)
2013-06-05 13:47 EDT, A.J. Werkman
no flags Details
File: lsblk_output (1.67 KB, text/plain)
2013-06-05 13:47 EDT, A.J. Werkman
no flags Details
File: nmcli_dev_list (3.43 KB, text/plain)
2013-06-05 13:47 EDT, A.J. Werkman
no flags Details
File: packaging.log (313.12 KB, text/plain)
2013-06-05 13:47 EDT, A.J. Werkman
no flags Details
File: program.log (36.43 KB, text/plain)
2013-06-05 13:47 EDT, A.J. Werkman
no flags Details
File: storage.log (80.65 KB, text/plain)
2013-06-05 13:47 EDT, A.J. Werkman
no flags Details
File: syslog (112.78 KB, text/plain)
2013-06-05 13:47 EDT, A.J. Werkman
no flags Details

  None (edit)
Description A.J. Werkman 2013-06-05 13:46:55 EDT
Description of problem:
The following was filed automatically by anaconda:
anaconda 19.30.2-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1121, in environmentGroups
    raise NoSuchGroup(environmentid)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 344, in on_environment_toggled
    for groupid in self.payload.environmentGroups(self.environment):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 360, in on_environment_selection_changed
    self.on_environment_toggled(None, model.get_path(itr))
NoSuchGroup: None

Version-Release number of selected component:
anaconda-19.30.2-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:UUID=1add3c37-adc9-4aa2-b3f2-7f0fa76108c0
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.4-300.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-TC1

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 360, in on_environment_selection_changed
    self.on_environment_toggled(None, model.get_path(itr))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 344, in on_environment_toggled
    for groupid in self.payload.environmentGroups(self.environment):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1121, in environmentGroups
    raise NoSuchGroup(environmentid)
NoSuchGroup: None
Comment 1 A.J. Werkman 2013-06-05 13:47:03 EDT
Created attachment 757311 [details]
File: anaconda-tb
Comment 2 A.J. Werkman 2013-06-05 13:47:08 EDT
Created attachment 757312 [details]
File: anaconda.log
Comment 3 A.J. Werkman 2013-06-05 13:47:12 EDT
Created attachment 757313 [details]
File: backtrace
Comment 4 A.J. Werkman 2013-06-05 13:47:16 EDT
Created attachment 757314 [details]
File: environ
Comment 5 A.J. Werkman 2013-06-05 13:47:21 EDT
Created attachment 757315 [details]
File: ifcfg.log
Comment 6 A.J. Werkman 2013-06-05 13:47:25 EDT
Created attachment 757316 [details]
File: lsblk_output
Comment 7 A.J. Werkman 2013-06-05 13:47:29 EDT
Created attachment 757317 [details]
File: nmcli_dev_list
Comment 8 A.J. Werkman 2013-06-05 13:47:36 EDT
Created attachment 757318 [details]
File: packaging.log
Comment 9 A.J. Werkman 2013-06-05 13:47:41 EDT
Created attachment 757319 [details]
File: program.log
Comment 10 A.J. Werkman 2013-06-05 13:47:45 EDT
Created attachment 757320 [details]
File: storage.log
Comment 11 A.J. Werkman 2013-06-05 13:47:49 EDT
Created attachment 757321 [details]
File: syslog
Comment 12 A.J. Werkman 2013-06-05 13:55:37 EDT
Description of problem:
Started installation from behind a firewall. This makes finding a mirror fail. After entering a valid URL pointing to a valid repository and selecting package selection screen, this bug comes up.

Version-Release number of selected component:
anaconda-19.30.2-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:UUID=1add3c37-adc9-4aa2-b3f2-7f0fa76108c0
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.4-300.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-TC1

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 360, in on_environment_selection_changed
    self.on_environment_toggled(None, model.get_path(itr))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/software.py", line 344, in on_environment_toggled
    for groupid in self.payload.environmentGroups(self.environment):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packaging/yumpayload.py", line 1121, in environmentGroups
    raise NoSuchGroup(environmentid)
NoSuchGroup: None
Comment 13 A.J. Werkman 2013-06-06 02:45:06 EDT
Did some more testing.

Ifound, that this error comes up if anaconda can not find a repo immediatly after startup. I triggered it from behind a firewall, so anaconda could not query the mirrorlist. This makes anaconda not to look for the default mirrorlist, but does report back an error to the installation source item. But it is also trigered by using the askmethod commandline option. And also by supplying an invalid inst.repo url on the commandline. 

A work around is to put a valid inst.repo on the commandline.

The error does not reproduce if you boot with a valid inst.repo url on the commandline, then in the UI change the installation source to an invalid repo url, so you trigger an error state. And next change back to a valid repo url.
Comment 14 Fedora Update System 2013-06-11 12:32:08 EDT
anaconda-19.30.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.30.4-1.fc19
Comment 15 Fedora Update System 2013-06-12 15:08:08 EDT
Package anaconda-19.30.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.30.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10652/anaconda-19.30.5-1.fc19
then log in and leave karma (feedback).
Comment 16 Fedora End Of Life 2015-01-09 17:39:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-18 06:17:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.